Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: liarliar ./configure fouten  (gelezen 145 keer)

Offline blokkendoos

  • Lid
  • Steunpunt: Nee
liarliar ./configure fouten
« Gepost op: 2015/05/21, 17:38:33 »
Met de Fyra verhoren op de tv leek het me interessant eens te kijken of er met bijv. liarliar wat (stress) op te merken valt. Terzijde: ik snap niet dat ik geen (onderzoeks-)journalisten hoor over stemanalyse op stress.
Maar goed, na het uitpakken en het uitvoeren van ./configure krijg ik dit als laatste info:
checking whether build environment is sane... yes
checking for pkg-config... /usr/bin/pkg-config
checking for gtkmm-2.0 gthread-2.0 gstreamer-0.6... Package gtkmm-2.0 was not found in the pkg-config search path. Perhaps you should add the directory containing `gtkmm-2.0.pc' to the PKG_CONFIG_PATH environment variable No package 'gtkmm-2.0' found Package gthread-2.0 was not found in the pkg-config search path. Perhaps you should add the directory containing `gthread-2.0.pc' to the PKG_CONFIG_PATH environment variable No package 'gthread-2.0' found Package gstreamer-0.6 was not found in the pkg-config search path. Perhaps you should add the directory containing `gstreamer-0.6.pc' to the PKG_CONFIG_PATH environment variable No package 'gstreamer-0.6' found
configure: error: Library requirements (gtkmm-2.0 gthread-2.0 gstreamer-0.6) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
peter@eduX4:~/Downloads/liarliar-0.5.2$
Kan iemand me gidsen zodat ik toch wat kan klooien hiermee. Of heeft iemand misschien een andere tip?

b.v.d. & m.v.g.
pablo k

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: liarliar ./configure fouten
« Reactie #1 Gepost op: 2015/05/21, 18:29:18 »
Je mist een aantal -dev pakketten om hier verder mee te kunnen:
libgtkmm-2.4-dev libglib2.0-dev libgstreamer0.10-dev
En waarschijnlijk is de versie van gstreamer in Ubuntu te nieuw en gaat het niet werken.

Je kan dus het beste zoeken naar een programma dat de laatste 10 jaar wél een keer is bijgewerkt en dat makkelijker te installeren is.
Is dat echt niet mogelijk dan zou je het misschien met een antieke versie van Ubuntu of Debian moeten proberen.

Offline EZ-man

  • Lid
  • Steunpunt: Nee
Re: liarliar ./configure fouten
« Reactie #2 Gepost op: 2015/05/21, 18:50:46 »
@blokkendoos: wat je zoekt is een fft graphics audio analyser. Is audicity daar niet voor te gebruiken?

Offline blokkendoos

  • Lid
  • Steunpunt: Nee
Re: liarliar ./configure fouten
« Reactie #3 Gepost op: 2015/05/22, 16:42:46 »
Dank voor jullie antwoorden.

Hoe ik met audacity stress moet herkennen in de frequentieweergave zou ik niet weten. Ik vermoed dat door de fysieke spanning de toonhoogte wat omhoog gaat, maar dan moet ik eerst gaan middelen of zoiets. Ik laat het even bezinken. Leek me zo'n leuk idee.

pablo k

Offline EZ-man

  • Lid
  • Steunpunt: Nee
Re: liarliar ./configure fouten
« Reactie #4 Gepost op: 2015/05/22, 16:49:45 »
Je mag Harry Nyquist  bedanken. (ik zal je niet vermoeien met Meet- & Regeltechniek  ;))